Subject: bug#69071: Emacs master branch: c-ts-mode is slow with large C functions.

From: Alan Mackenzie <[email-masked]>
Date: Mon, 12 Feb 2024 11:30:00 +0000

Hello, Emacs.

Using Emacs master:

c-ts-mode is slow on large C functions when editing towards the end of
such a function.

As an extreme example, there is a function proto_register_rrc in the
file packet-rrc.c which is part of Wireshark.  This file is "available"
from Github, but sadly no longer freely available - you need to allow
Microsoft's scripts to run on your machine.  I'm willing to send this
file by email to anybody who needs it.  It is almost 10 MB in size.

proto_register_rrc is around 50,000 lines long, total size about 2¼ MB.

Near the end of the function, after typing a character, there is a delay
of between 9 and 10 seconds (on my 7 year old machine) before redisplay
happens.  This is too long.  Some optimisation seems needed.

On disabling font-lock-mode, the response becomes instantaneous.

-- 
Alan Mackenzie (Nuremberg, Germany).